%global momorel 4
%global moz_plugindir %{_libdir}/mozilla/plugins

Summary: VideoLAN - VLC media player
Name: vlc
Version: 0.8.6c
Release: %{momorel}m%{?dist}
Group: Applications/Multimedia
License: GPL
URL: http://www.videolan.org/
Source0: http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf automake17 libtool perl
BuildRequires: desktop-file-utils
BuildRequires: mplayer a52dec-devel libid3tag libmad libogg-devel 
BuildRequires: ffmpeg >= 0.4.9, mpeg2dec-devel
BuildRequires: wxGTK-unicode-devel 
BuildRequires: libdvdread-devel libdvdnav-devel >= 0.1.10-3m
BuildRequires: firefox-devel >= 2.0.0.6
Requires: firefox >= 2.0.0.6

%description
VideoLAN is a software project, which produces free software for video, released under the GNU General Public License.

VLC media player is a free cross-platform media player. It supports a large number of multimedia formats, without the need for additional codecs. It can also be used as a streaming server, with extended features (video on demand, on the fly transcoding, ...)

%package plugin
Summary: VLC Media Player plugin for Mozilla compatible web browsers
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}

%description plugin
This package contains a VLC Media Player plugin for Mozilla compatible
web browsers.

%package devel
Summary: header and static libraries for VideoLAN
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
header and static libraries for Video LAN Client

%prep
%setup -q

# fix PLUGIN_PATH path for lib64
%{__perl} -pi -e 's|/lib/vlc|/%{_lib}/vlc|g' vlc-config.in.in configure*
# fix perms issues
chmod 644 mozilla/control/*
chmod 644 src/control/log.c
sed -i 's/\r//'  mozilla/control/*

./bootstrap

%build
export XPIDL="$(rpm -ql firefox-devel.%{_target_cpu} | grep '/xpidl$')"
export MOZVER="$(rpm -q --qf=%{VERSION} firefox-devel.%{_target_cpu})"
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"

# altivec compiler flags aren't set properly (0.8.2)
%ifarch ppc ppc64
export CFLAGS="$CFLAGS -maltivec -mabi=altivec"
%endif

%configure \
    --enable-live555 \
    --enable-dvdread \
    --enable-dvdnav \
    --enable-v4l \
    --enable-faad \
    --enable-toolame \
    --enable-aa \
    --enable-ncurses \
    --enable-xosd \
    --enable-goom \
    --enable-mozilla \
    --enable-ffmpeg \
    --disable-pda \
    --enable-libmpeg2 \
    --with-wx-config-path=%{_bindir} \
    --with-wx-config=wx-config-unicode

%make XPIDL_INCL="-I%{_datadir}/idl/firefox-$MOZVER/"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

# install man files
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/*.1 %{buildroot}%{_mandir}/man1

# fix permission
chmod 755 %{buildroot}%{moz_plugindir}/libvlcplugin.so

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  --add-category Video \
  --add-category Audio \
  %{buildroot}%{_datadir}/applications/vlc.desktop

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../vlc/vlc48x48.png  %{buildroot}%{_datadir}/pixmaps/vlc.png

# clean up
rm -rf %{buildroot}%{_docdir}/vlc

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL MAINTAINERS NEWS README THANKS
%doc doc/*.txt doc/ChangeLog-* doc/*.help doc/*.sgml  doc/skins doc/lirc
%{_bindir}/svlc
%{_bindir}/vlc
%{_bindir}/wxvlc
%{_libdir}/vlc
%{_datadir}/vlc
%exclude %{_libdir}/vlc/*.a
%{_datadir}/applications/*.desktop
%{_mandir}/man1/vlc.1*
%{_datadir}/pixmaps/vlc.png

%files plugin
%defattr(-,root,root)
%{moz_plugindir}/libvlcplugin.so

%files devel
%defattr(-,root,root)
%doc HACKING doc/win32
%{_bindir}/vlc-config
%{_includedir}/vlc
%{_libdir}/vlc/*.a
%{_libdir}/*.a
%{_mandir}/man1/vlc-config.1*

%changelog
* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.6c-4m)
- add Requires for firefox

* Sun Jul  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6c-3m)
- add %%{_datadir}/pixmaps/vlc.png

* Sun Jul  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6c-2m)
- add a package vlc-plugin based on livna
- see http://pc11.2ch.net/test/read.cgi/linux/1092539027/931, I love 2ch ;)

* Tue Jun 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6c-1m)
- update 0.8.6c

* Wed Apr 25 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.8.6b-1m)
- import to Momonga

* Tue Feb 27 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.8.6a-1m)
- update to 0.8.6a

* Fri May 12 2006 Masayuki SANO <sbfiled_snmsyk@yahoo.co.jp>
- (0.8.5-0.0.1m)
- update to 0.8.5

* Thu Jul 07 2005 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.8.2-0.0.1m)
- update to 0.8.2

* Tue Nov 09 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.8.0-0.0.1m)
- update to 0.8.0
- now wxWidgets frontend is default and qt,gtk,gnome,kde frontend are removed in upstream
- ffmpeg supprot is disabled because it requires latest preversion of ffmpeg

* Thu Jan  8 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.7.0-0.0.2m)
- add kde, qt, gnome front-end

* Thu Jan  8 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (0.7.0-0.0.1m)
- build for Momonga
- --disable-libmpeg2 since it needs libmpeg2 (http://libmpeg2.sf.net/)
